{# templates/security/login.html.twig #}
{% extends 'base.html.twig' %} 
{% block title %}Log in!{% endblock %} 
{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-10 ml-md-auto">
                <div class="">
                    <div class="card bg-light mb-3 mt-5" style="width: 800px;">
                        <div class="card-body">
                            <form class="form-horizontal" role="form" method="post">
                                {% if error %}
                                    <div class="alert alert-danger">
                                        {{ error.messageKey|trans(error.messageData, 'security') }}
                                    </div>
                                {% endif %} {% if app.user %}
                                    <div class="mb-3">
                                        You are logged in as {{ app.user.username }},
                                        <a href="{{ path('app_logout') }}">Logout</a>
                                    </div>
                                {% endif %}
                                <div class="card-header mb-3">Please sign in</div>
                                <div class="form-group">
                                    <label for="email" class="col-md-4 control-label"
                                    >E-Mail Address</label
                                    >
                                    <div class="col-md-12">
                                        <input
                                                id="inputEmail"
                                                type="email"
                                                class="form-control"
                                                name="email"
                                                value="{{ last_username }}"
                                                required
                                                autofocus
                                        />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="password" class="col-md-4 control-label"
                                    >Password</label
                                    >
                                    <div class="col-md-12">
                                        <input
                                                id="inputPassword"
                                                type="password"
                                                class="form-control"
                                                name="password"
                                                required
                                        />
                                    </div>
                                </div>
                                <input
                                        type="hidden"
                                        name="_csrf_token"
                                        value="{{ csrf_token('authenticate') }}"
                                />
                                <div class="form-group">
                                    <div class="col-md-12">
                                        <button type="submit" class="btn btn-primary">
                                            <i class="fa fa-btn fa-sign-in"></i> Login
                                        </button>
                                    </div>
                                </div>
                                <a href="{{ path('connect_google_start') }}">
                                    Google
                                </a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}